package com.bytedance.android.livesdkapi.depend.model.live.match;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public final class BattleMode {
    public static final Integer LIZ = 0;
    @c(LIZ = "mode")
    public Integer LIZIZ;
    @c(LIZ = "steal_tower_data")
    public StealTowerData LIZJ;

    static {
        Covode.recordClassIndex(22338);
    }

    public static final class StealTowerData {
        public static final Long LIZ = 0L;
        public static final Long LIZIZ = 0L;
        public static final Long LIZJ = 0L;
        public static final Long LIZLLL = 0L;
        public static final Long LJ = 0L;
        public static final Long LJFF = 0L;
        public static final Long LJI = 0L;
        public static final Long LJII = 0L;
        public static final Long LJIIIIZZ = 0L;
        public static final Boolean LJIIIZ = false;
        @c(LIZ = "trigger_time")
        public Long LJIIJ;
        @c(LIZ = "duration")
        public Long LJIIJJI;
        @c(LIZ = "target_score")
        public Long LJIIL;
        @c(LIZ = "start_time")
        public Long LJIILIIL;
        @c(LIZ = "attacker_id")
        public Long LJIILJJIL;
        @c(LIZ = "finish_time")
        public Long LJIILL;
        @c(LIZ = "win")
        public Long LJIILLIIL;
        @c(LIZ = "count")
        public Long LJIIZILJ;
        @c(LIZ = "open_score")
        public Long LJIJ;
        @c(LIZ = "finish")
        public Boolean LJIJI;

        static {
            Covode.recordClassIndex(22339);
        }

        public final String toString() {
            StringBuilder sb = new StringBuilder();
            if (this.LJIIJ != null) {
                sb.append(", trigger_time=");
                sb.append(this.LJIIJ);
            }
            if (this.LJIIJJI != null) {
                sb.append(", duration=");
                sb.append(this.LJIIJJI);
            }
            if (this.LJIIL != null) {
                sb.append(", target_score=");
                sb.append(this.LJIIL);
            }
            if (this.LJIILIIL != null) {
                sb.append(", start_time=");
                sb.append(this.LJIILIIL);
            }
            if (this.LJIILJJIL != null) {
                sb.append(", attacker_id=");
                sb.append(this.LJIILJJIL);
            }
            if (this.LJIILL != null) {
                sb.append(", finish_time=");
                sb.append(this.LJIILL);
            }
            if (this.LJIILLIIL != null) {
                sb.append(", win=");
                sb.append(this.LJIILLIIL);
            }
            if (this.LJIIZILJ != null) {
                sb.append(", count=");
                sb.append(this.LJIIZILJ);
            }
            if (this.LJIJ != null) {
                sb.append(", open_score=");
                sb.append(this.LJIJ);
            }
            if (this.LJIJI != null) {
                sb.append(", finish=");
                sb.append(this.LJIJI);
            }
            sb.replace(0, 2, "StealTowerData{");
            sb.append('}');
            return sb.toString();
        }
    }

    public final String toString() {
        StringBuilder sb = new StringBuilder();
        if (this.LIZIZ != null) {
            sb.append(", mode=");
            sb.append(this.LIZIZ);
        }
        if (this.LIZJ != null) {
            sb.append(", steal_tower_data=");
            sb.append(this.LIZJ);
        }
        sb.replace(0, 2, "BattleMode{");
        sb.append('}');
        return sb.toString();
    }
}
